=== autotests/plugins/CMakeLists.txt ===
add_subdirectory(clizipplugin)
add_subdirectory(cli7zplugin)
add_subdirectory(clirarplugin)
add_subdirectory(cliunarchiverplugin)
