=== debian/changelog ===
ark (4:20.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - fixes CVE-2020-24654 (Closes: #969437)
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Thu, 03 Sep 2020 16:19:56 +0200

ark (4:20.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - upstream_Fix-vulnerability-to-path-traversal-attacks.patch: drop,
      backported from upstream
  * Update the build dependencies according to the upstream build system:
    - bump the KF5 packages to 5.70.0
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13

 -- Pino Toscano <pino@debian.org>  Fri, 14 Aug 2020 08:38:25 +0200

ark (4:20.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Backport upstream commit 0df592524fed305d6fbe74ddf8a196bc9ffdb92f to fix
    vulnerability to path traversal attacks (CVE-2020-16116); patch
    upstream_Fix-vulnerability-to-path-traversal-attacks.patch.
  * CI: disable build path variations, as not well handled with ark by the
    current toolchain.
  * Add Rules-Requires-Root: no.
  * Change an internal hostname of an old Ubuntu changelog entry to
    ubuntu@ubuntu.com to avoid lintian issues.

 -- Pino Toscano <pino@debian.org>  Thu, 30 Jul 2020 17:11:50 +0200

ark (4:20.04.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump the Qt5 packages to 5.10.0
    - bump the KF5 packages to 5.61.0
    - bump libarchive-dev to 3.3.3
    - drop libkf5iconthemes-dev, and shared-mime-info, no more needed
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - explicitly link in as-needed mode
    - call the right debhelper command instead of $(overridden_command)
    - manually force the generation of the substvars for the kde-l10n breaks
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Sun, 26 Apr 2020 12:18:32 +0200
