=== debian/changelog ===
ark (4:20.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (20.12.0).
  * Update build-deps and deps with the info from cmake.
  * Update d/upstream/metadata.
  * Bump Standards-Version to 4.5.1 (no change required).

 -- Norbert Preining <norbert@preining.info>  Sat, 19 Dec 2020 17:45:28 +0900
