=== autotests/CMakeLists.txt ===
include(ECMAddTests)

add_subdirectory(app)
add_subdirectory(testhelper)
add_subdirectory(kerfuffle)
add_subdirectory(plugins)
