=== kerfuffle/CMakeLists.txt ===
--- 
+++ 
@@ -57,9 +57,7 @@
 
 target_link_libraries(kerfuffle
 PUBLIC
-    KF5::IconThemes
     KF5::Pty
-    KF5::Service
     KF5::I18n
     KF5::WidgetsAddons
 PRIVATE
@@ -75,8 +73,3 @@
 
 install(FILES kerfufflePlugin.desktop DESTINATION ${KDE_INSTALL_KSERVICETYPES5DIR})
 install(FILES ark.kcfg                DESTINATION ${KDE_INSTALL_KCFGDIR})
-
-install(FILES mime/kerfuffle.xml DESTINATION ${KDE_INSTALL_MIMEDIR})
-if(SharedMimeInfo_FOUND)
-    update_xdg_mimetypes(${KDE_INSTALL_MIMEDIR})
-endif()
