=== plugins/libarchive/CMakeLists.txt ===
--- 
+++ 
@@ -1,18 +1,11 @@
 include_directories(${LibArchive_INCLUDE_DIRS})
-
-if(NOT LibArchive_VERSION VERSION_LESS "3.3.3")
-  set(ENABLE_ZSTD_SUPPORT ON BOOL)
-endif()
 
 ########### next target ###############
 set(SUPPORTED_LIBARCHIVE_READWRITE_MIMETYPES "application/x-tar;application/x-compressed-tar;application/x-bzip-compressed-tar;application/x-tarz;application/x-xz-compressed-tar;")
 set(SUPPORTED_LIBARCHIVE_READWRITE_MIMETYPES "${SUPPORTED_LIBARCHIVE_READWRITE_MIMETYPES}application/x-lzma-compressed-tar;application/x-lzip-compressed-tar;application/x-tzo;application/x-lrzip-compressed-tar;application/x-lz4-compressed-tar;")
 set(SUPPORTED_LIBARCHIVE_READONLY_MIMETYPES "application/vnd.debian.binary-package;application/x-deb;application/x-cd-image;application/x-bcpio;application/x-cpio;application/x-cpio-compressed;application/x-sv4cpio;application/x-sv4crc;")
 set(SUPPORTED_LIBARCHIVE_READONLY_MIMETYPES "${SUPPORTED_LIBARCHIVE_READONLY_MIMETYPES}application/x-rpm;application/x-source-rpm;application/vnd.ms-cab-compressed;application/x-xar;application/x-iso9660-appimage;application/x-archive;")
-
-if(ENABLE_ZSTD_SUPPORT)
-    set(SUPPORTED_LIBARCHIVE_READWRITE_MIMETYPES "${SUPPORTED_LIBARCHIVE_READWRITE_MIMETYPES}application/x-zstd-compressed-tar;")
-endif()
+set(SUPPORTED_LIBARCHIVE_READWRITE_MIMETYPES "${SUPPORTED_LIBARCHIVE_READWRITE_MIMETYPES}application/x-zstd-compressed-tar;")
 
 set(INSTALLED_LIBARCHIVE_PLUGINS "")
 
@@ -55,13 +48,8 @@
     \"application/x-lzip-compressed-tar\",
     \"application/x-tzo\",
     \"application/x-lrzip-compressed-tar\",
-    \"application/x-lz4-compressed-tar")
-
-if(ENABLE_ZSTD_SUPPORT)
-    set(SUPPORTED_READWRITE_MIMETYPES
-        "${SUPPORTED_READWRITE_MIMETYPES}\",
-        \"application/x-zstd-compressed-tar")
-endif()
+    \"application/x-lz4-compressed-tar\",
+    \"application/x-zstd-compressed-tar")
 
 configure_file(
     ${CMAKE_CURRENT_SOURCE_DIR}/kerfuffle_libarchive_readonly.json.cmake
@@ -73,10 +61,6 @@
 
 kerfuffle_add_plugin(kerfuffle_libarchive_readonly ${kerfuffle_libarchive_readonly_SRCS})
 kerfuffle_add_plugin(kerfuffle_libarchive ${kerfuffle_libarchive_readwrite_SRCS})
-
-if(ENABLE_ZSTD_SUPPORT)
-    target_compile_definitions(kerfuffle_libarchive PRIVATE -DHAVE_ZSTD_SUPPORT)
-endif()
 
 target_link_libraries(kerfuffle_libarchive_readonly ${LibArchive_LIBRARIES})
 target_link_libraries(kerfuffle_libarchive ${LibArchive_LIBRARIES})
