=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
                zlib1g-dev
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
-Homepage: http://www.kde.org/
+Homepage: https://www.kde.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ark
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ark.git
