=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF
 
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 	find debian/ark -name '*.so' -type l -delete
 
 override_dh_auto_test:
