=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.12.0~),
-               zlib1g-dev
+               zlib1g-dev,
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://www.kde.org/
